/**
 * 获取选择数据部件视图
 * 
 * @param {*} arg 
 * @returns {*} 
 * @memberof ${view.codeName}ComponentBase
 */
public getPickupViewItem(arg: any): any {
    let viewmode = arg.viewid;
    if (!viewmode) {
    viewmode = '';
    }
    <#assign viewitems = view.getPSControls("pickupviewpanel",10)>
    <#list viewitems as viewitem>
    if (Object.is(viewmode, '${viewitem.name}')) {
        //   return {viewurl:'/${viewitem.getPSAppDEView().getPSAppModule().codeName?lower_case}/${viewitem.getPSAppDEView().codeName?lower_case}.jsp',embedviewid:'${viewitem.getEmbedViewId()}'};
          return { };
    }
    </#list>
    return undefined;
}


<#if view.hasPSControl('treeexpbar')>
<#assign _tree = view.getPSControl('treeexpbar').getPSDETree()>

/**
* 获取导航参数
* 
* @param {*} arg 
* @returns {*} 
* @memberof ${view.codeName}ComponentBase
*/
public getNavViewParam(arg: any): any {
    let nodetype = arg.nodetype;
    if (!nodetype) {
          nodetype = '';
    }
    <#list _tree.getPSDETreeNodes() as _treenode>
    <#if _treenode.getNavViewParam()??>
    if(Object.is( nodetype,'${_treenode.nodeType}')){
       return ${_treenode.getNavViewParam().toString()};
    }
   </#if>
   </#list>

    return undefined;
}
</#if>