import { NgModule, CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { CommonModule } from '@angular/common';

import { SharedModule } from '@shared/shared.module';
<#--  视图关联视图（只引用部件视图）  -->
<#assign viewitems=view.getPSControls("pickupviewpanel",10)>
<#list viewitems as viewitem>
import { ${viewitem.getPSAppDEView().codeName}Module } from '@pages/${ngfilename('${viewitem.getPSAppDEView().getPSAppModule().codeName}')}/${ngfilename('${viewitem.getPSAppDEView().codeName}')}/${ngfilename('${viewitem.getPSAppDEView().codeName}')}.module';
</#list>

import { ${view.codeName}Component } from './${viewname}';
import { ${view.codeName}ModalService } from './${viewname}-modalservice';

@NgModule({
  imports: [
    CommonModule,
    SharedModule,
    <#assign viewitems=view.getPSControls("pickupviewpanel",10)>
    <#list viewitems as viewitem>
    ${viewitem.getPSAppDEView().codeName}Module,
    </#list>
  ],
  exports: [
    ${view.codeName}Component
  ],
  declarations: [
    ${view.codeName}Component
  ],
  entryComponents: [
    ${view.codeName}Component
  ],
  providers: [
    ${view.codeName}ModalService
  ],
  schemas: [CUSTOM_ELEMENTS_SCHEMA]
})
export class ${view.codeName}Module {}